.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the AudioStreamRandomPitch.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_AudioStreamRandomPitch:

AudioStreamRandomPitch
======================

**Inherits:** :ref:`AudioStream<class_audiostream>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Plays audio with random pitch tweaking.

Member Variables
----------------

  .. _class_AudioStreamRandomPitch_audio_stream:

- :ref:`AudioStream<class_audiostream>` **audio_stream** - The current :ref:`AudioStream<class_audiostream>`.

  .. _class_AudioStreamRandomPitch_random_pitch:

- :ref:`float<class_float>` **random_pitch** - The intensity of random pitch variation.


Description
-----------

Randomly varies pitch on each start.

